For the complete documentation index, see llms.txt. This page is also available as Markdown.

Manager Truckers

List all truckers

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Query parameters
pageintegerOptional

A page number within the paginated result set.

Responses
200

Get successful

application/json
countintegerOptionalExample: 1
nextstring · nullableOptional
previousstring · nullableOptional
get/manager-truckers/
GET /api/v4/manager-truckers/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
200

Get successful

{
  "count": 1,
  "next": "text",
  "previous": "text",
  "results": [
    {
      "pk": 23498,
      "user": {
        "pk": 17293,
        "username": "1b3b4c74-5f07-4f09-b18f-2753ffcf916e",
        "display_name": "Adèle Bouvet",
        "email": "adele.bouvet@gmail.com",
        "date_joined": "2026-01-01T00:00:00.000Z",
        "last_login": "2026-01-01T00:00:00.000Z",
        "has_usable_password": true,
        "first_name": "Adèle",
        "last_name": "Bouvet"
      },
      "phone_number": "text",
      "invite_code": "text",
      "app_version": 180,
      "readable_app_version": "2.7.7",
      "platform": "ios",
      "remote_id": "text",
      "carrier": {
        "pk": 928,
        "remote_id": "text",
        "created": "2020-07-30T21:10:06.445510Z",
        "updated": "2020-07-30T21:10:06.44551Z",
        "deleted": true,
        "invoicing_remote_id": "COMP_456",
        "name": "Transport Bouvet",
        "phone_number": "0601020304",
        "email": "i.love.dashdoc@gmail.com",
        "siren": "123456789",
        "trade_number": "text",
        "country": "FR",
        "comments": "text",
        "vat_number": "text",
        "is_verified": true,
        "settings_transport_order_observations": "text",
        "settings_constrain_reference_edition": true,
        "account_type": "text",
        "logo": "text",
        "subscription_access": {},
        "settings": {},
        "primary_address": {
          "pk": 23498,
          "name": "Transport Bouvet",
          "address": "3 rue des champs",
          "city": "Nantes",
          "postcode": "44000",
          "country": "FR",
          "latitude": -52.5561625,
          "longitude": 92.896504,
          "radius": 500,
          "coords_validated": false,
          "is_demo": true,
          "is_carrier": true,
          "is_shipper": true,
          "is_origin": true,
          "is_destination": true,
          "created_by": {
            "pk": 25,
            "name": "Transport Bouvet"
          },
          "created_by_user": {
            "pk": 34,
            "display_name": "Jean Pierre Bouvet",
            "company": 25,
            "trucker_id": 95
          },
          "created": "2020-12-22T15:31:39.26167Z",
          "remote_id": "text"
        },
        "managers": [
          {
            "pk": 928,
            "user": {
              "email": "adele.bouvet@gmail.com",
              "first_name": "Adèle",
              "last_name": "Bouvet"
            },
            "display_name": "text",
            "role": "text"
          }
        ],
        "has_loggable_managers": true
      },
      "is_rented": true,
      "phone_number_personal": "0601020304",
      "address": "A random address 4 square Dashdoc",
      "postcode": "44000",
      "city": "Nantes",
      "country_code": "FR",
      "driving_license_number": "99 999 999",
      "driving_license_deadline": "2020-12-22T15:31:39.26167Z",
      "adr_license_deadline": "2020-12-22T15:31:39.26167Z",
      "carrist_license_deadline": "2020-12-22T15:31:39.26167Z",
      "occupational_health_visit_deadline": "2020-12-22T15:31:39.26167Z",
      "new_app_update_available": true,
      "unavailability": [
        {
          "id": 928,
          "remote_id": "tr123type1",
          "created": "2020-07-30T21:10:06.44551Z",
          "start_date": "2020-07-30T21:10:06.44551Z",
          "end_date": "2020-07-30T21:10:06.44551Z",
          "unavailability_type": "paid_vacation",
          "unavailability_note": "I'm on vacation"
        }
      ],
      "events": [
        {}
      ],
      "tags": [
        {
          "pk": 1,
          "name": "Urgent",
          "color": "#E5291D",
          "tag_group_id": 1
        }
      ]
    }
  ]
}

Create a trucker

post
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Body
phone_numberstring · max: 100Optional
remote_idstringOptional

The ID of the trucker in your system. It has to be unique among all your truckers.

Responses
201

Create successful

application/json
pknumberOptional

Dashdoc's internal id.

Example: 23498
phone_numberstringOptional
invite_codestringOptional

Invite code trucker needs to connect to mobile app. The code is generated by Dashdoc.

app_versionnumberOptional

Ignore. Dashdoc technical data.

Example: 180
readable_app_versionstringOptional

Ignore. Dashdoc technical data.

Example: 2.7.7
platformstringOptional

Ignore. Dashdoc technical data.

Example: ios
remote_idstringOptional

The ID of the trucker in your system. It has to be unique among all your truckers.

is_rentedbooleanOptional
phone_number_personalstringOptionalExample: 0601020304
addressstringOptionalExample: A random address 4 square Dashdoc
postcodestringOptionalExample: 44000
citystringOptionalExample: Nantes
country_codestringOptional

Only the 2-character codification is accepted (ISO 3166-1 alpha-2)

Example: FR
driving_license_numberstringOptionalExample: 99 999 999
driving_license_deadlinestring · date-timeOptionalExample: 2020-12-22T15:31:39.26167Z
adr_license_deadlinestring · date-timeOptionalExample: 2020-12-22T15:31:39.26167Z
carrist_license_deadlinestring · date-timeOptionalExample: 2020-12-22T15:31:39.26167Z
occupational_health_visit_deadlinestring · date-timeOptionalExample: 2020-12-22T15:31:39.26167Z
new_app_update_availablebooleanOptional

Ignore. Dashdoc technical data.

eventsobject[]Optional

Ignore. Dashdoc technical data.

post/manager-truckers/
POST /api/v4/manager-truckers/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 196

{
  "user": {
    "email": "adele.bouvet@gmail.com",
    "first_name": "Adèle",
    "last_name": "Bouvet"
  },
  "phone_number": "text",
  "remote_id": "text",
  "tags": [
    {
      "pk": 1,
      "name": "Urgent",
      "color": "#E5291D",
      "tag_group_id": 1
    }
  ]
}
201

Create successful

{
  "pk": 23498,
  "user": {
    "pk": 17293,
    "username": "1b3b4c74-5f07-4f09-b18f-2753ffcf916e",
    "display_name": "Adèle Bouvet",
    "email": "adele.bouvet@gmail.com",
    "date_joined": "2026-01-01T00:00:00.000Z",
    "last_login": "2026-01-01T00:00:00.000Z",
    "has_usable_password": true,
    "first_name": "Adèle",
    "last_name": "Bouvet"
  },
  "phone_number": "text",
  "invite_code": "text",
  "app_version": 180,
  "readable_app_version": "2.7.7",
  "platform": "ios",
  "remote_id": "text",
  "carrier": {
    "pk": 928,
    "remote_id": "text",
    "created": "2020-07-30T21:10:06.445510Z",
    "updated": "2020-07-30T21:10:06.44551Z",
    "deleted": true,
    "invoicing_remote_id": "COMP_456",
    "name": "Transport Bouvet",
    "phone_number": "0601020304",
    "email": "i.love.dashdoc@gmail.com",
    "siren": "123456789",
    "trade_number": "text",
    "country": "FR",
    "comments": "text",
    "vat_number": "text",
    "is_verified": true,
    "settings_transport_order_observations": "text",
    "settings_constrain_reference_edition": true,
    "account_type": "text",
    "logo": "text",
    "subscription_access": {},
    "settings": {},
    "primary_address": {
      "pk": 23498,
      "name": "Transport Bouvet",
      "address": "3 rue des champs",
      "city": "Nantes",
      "postcode": "44000",
      "country": "FR",
      "latitude": -52.5561625,
      "longitude": 92.896504,
      "radius": 500,
      "coords_validated": false,
      "is_demo": true,
      "is_carrier": true,
      "is_shipper": true,
      "is_origin": true,
      "is_destination": true,
      "created_by": {
        "pk": 25,
        "name": "Transport Bouvet"
      },
      "created_by_user": {
        "pk": 34,
        "display_name": "Jean Pierre Bouvet",
        "company": 25,
        "trucker_id": 95
      },
      "created": "2020-12-22T15:31:39.26167Z",
      "remote_id": "text"
    },
    "managers": [
      {
        "pk": 928,
        "user": {
          "email": "adele.bouvet@gmail.com",
          "first_name": "Adèle",
          "last_name": "Bouvet"
        },
        "display_name": "text",
        "role": "text"
      }
    ],
    "has_loggable_managers": true
  },
  "is_rented": true,
  "phone_number_personal": "0601020304",
  "address": "A random address 4 square Dashdoc",
  "postcode": "44000",
  "city": "Nantes",
  "country_code": "FR",
  "driving_license_number": "99 999 999",
  "driving_license_deadline": "2020-12-22T15:31:39.26167Z",
  "adr_license_deadline": "2020-12-22T15:31:39.26167Z",
  "carrist_license_deadline": "2020-12-22T15:31:39.26167Z",
  "occupational_health_visit_deadline": "2020-12-22T15:31:39.26167Z",
  "new_app_update_available": true,
  "unavailability": [
    {
      "id": 928,
      "remote_id": "tr123type1",
      "created": "2020-07-30T21:10:06.44551Z",
      "start_date": "2020-07-30T21:10:06.44551Z",
      "end_date": "2020-07-30T21:10:06.44551Z",
      "unavailability_type": "paid_vacation",
      "unavailability_note": "I'm on vacation"
    }
  ],
  "events": [
    {}
  ],
  "tags": [
    {
      "pk": 1,
      "name": "Urgent",
      "color": "#E5291D",
      "tag_group_id": 1
    }
  ]
}

Delete a trucker

delete
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
pknumberRequired
remote_idstringOptional

If you choose to identify an object with its remote_id instead of its pk then

  • replace the pk value with the remote_id value in the URL

  • specify lookup_field=remote_id in the query parameters

Query parameters
lookup_fieldstringOptional

Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)

Responses
204

Empty body

No content

delete/manager-truckers/{pk}/
DELETE /api/v4/manager-truckers/{pk}/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*

No content

Read a trucker

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
pknumberRequired
remote_idstringOptional

If you choose to identify an object with its remote_id instead of its pk then

  • replace the pk value with the remote_id value in the URL

  • specify lookup_field=remote_id in the query parameters

Query parameters
lookup_fieldstringOptional

Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)

Responses
200

Get successful

application/json
pknumberOptional

Dashdoc's internal id.

Example: 23498
phone_numberstringOptional
invite_codestringOptional

Invite code trucker needs to connect to mobile app. The code is generated by Dashdoc.

app_versionnumberOptional

Ignore. Dashdoc technical data.

Example: 180
readable_app_versionstringOptional

Ignore. Dashdoc technical data.

Example: 2.7.7
platformstringOptional

Ignore. Dashdoc technical data.

Example: ios
remote_idstringOptional

The ID of the trucker in your system. It has to be unique among all your truckers.

is_rentedbooleanOptional
phone_number_personalstringOptionalExample: 0601020304
addressstringOptionalExample: A random address 4 square Dashdoc
postcodestringOptionalExample: 44000
citystringOptionalExample: Nantes
country_codestringOptional

Only the 2-character codification is accepted (ISO 3166-1 alpha-2)

Example: FR
driving_license_numberstringOptionalExample: 99 999 999
driving_license_deadlinestring · date-timeOptionalExample: 2020-12-22T15:31:39.26167Z
adr_license_deadlinestring · date-timeOptionalExample: 2020-12-22T15:31:39.26167Z
carrist_license_deadlinestring · date-timeOptionalExample: 2020-12-22T15:31:39.26167Z
occupational_health_visit_deadlinestring · date-timeOptionalExample: 2020-12-22T15:31:39.26167Z
new_app_update_availablebooleanOptional

Ignore. Dashdoc technical data.

eventsobject[]Optional

Ignore. Dashdoc technical data.

get/manager-truckers/{pk}/
GET /api/v4/manager-truckers/{pk}/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
200

Get successful

{
  "pk": 23498,
  "user": {
    "pk": 17293,
    "username": "1b3b4c74-5f07-4f09-b18f-2753ffcf916e",
    "display_name": "Adèle Bouvet",
    "email": "adele.bouvet@gmail.com",
    "date_joined": "2026-01-01T00:00:00.000Z",
    "last_login": "2026-01-01T00:00:00.000Z",
    "has_usable_password": true,
    "first_name": "Adèle",
    "last_name": "Bouvet"
  },
  "phone_number": "text",
  "invite_code": "text",
  "app_version": 180,
  "readable_app_version": "2.7.7",
  "platform": "ios",
  "remote_id": "text",
  "carrier": {
    "pk": 928,
    "remote_id": "text",
    "created": "2020-07-30T21:10:06.445510Z",
    "updated": "2020-07-30T21:10:06.44551Z",
    "deleted": true,
    "invoicing_remote_id": "COMP_456",
    "name": "Transport Bouvet",
    "phone_number": "0601020304",
    "email": "i.love.dashdoc@gmail.com",
    "siren": "123456789",
    "trade_number": "text",
    "country": "FR",
    "comments": "text",
    "vat_number": "text",
    "is_verified": true,
    "settings_transport_order_observations": "text",
    "settings_constrain_reference_edition": true,
    "account_type": "text",
    "logo": "text",
    "subscription_access": {},
    "settings": {},
    "primary_address": {
      "pk": 23498,
      "name": "Transport Bouvet",
      "address": "3 rue des champs",
      "city": "Nantes",
      "postcode": "44000",
      "country": "FR",
      "latitude": -52.5561625,
      "longitude": 92.896504,
      "radius": 500,
      "coords_validated": false,
      "is_demo": true,
      "is_carrier": true,
      "is_shipper": true,
      "is_origin": true,
      "is_destination": true,
      "created_by": {
        "pk": 25,
        "name": "Transport Bouvet"
      },
      "created_by_user": {
        "pk": 34,
        "display_name": "Jean Pierre Bouvet",
        "company": 25,
        "trucker_id": 95
      },
      "created": "2020-12-22T15:31:39.26167Z",
      "remote_id": "text"
    },
    "managers": [
      {
        "pk": 928,
        "user": {
          "email": "adele.bouvet@gmail.com",
          "first_name": "Adèle",
          "last_name": "Bouvet"
        },
        "display_name": "text",
        "role": "text"
      }
    ],
    "has_loggable_managers": true
  },
  "is_rented": true,
  "phone_number_personal": "0601020304",
  "address": "A random address 4 square Dashdoc",
  "postcode": "44000",
  "city": "Nantes",
  "country_code": "FR",
  "driving_license_number": "99 999 999",
  "driving_license_deadline": "2020-12-22T15:31:39.26167Z",
  "adr_license_deadline": "2020-12-22T15:31:39.26167Z",
  "carrist_license_deadline": "2020-12-22T15:31:39.26167Z",
  "occupational_health_visit_deadline": "2020-12-22T15:31:39.26167Z",
  "new_app_update_available": true,
  "unavailability": [
    {
      "id": 928,
      "remote_id": "tr123type1",
      "created": "2020-07-30T21:10:06.44551Z",
      "start_date": "2020-07-30T21:10:06.44551Z",
      "end_date": "2020-07-30T21:10:06.44551Z",
      "unavailability_type": "paid_vacation",
      "unavailability_note": "I'm on vacation"
    }
  ],
  "events": [
    {}
  ],
  "tags": [
    {
      "pk": 1,
      "name": "Urgent",
      "color": "#E5291D",
      "tag_group_id": 1
    }
  ]
}

Partially update a trucker

patch
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
pknumberRequired
remote_idstringOptional

If you choose to identify an object with its remote_id instead of its pk then

  • replace the pk value with the remote_id value in the URL

  • specify lookup_field=remote_id in the query parameters

Query parameters
lookup_fieldstringOptional

Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)

Body
phone_numberstring · max: 100Optional
remote_idstringOptional

The ID of the trucker in your system. It has to be unique among all your truckers.

Responses
200

Update successful

application/json
pknumberOptional

Dashdoc's internal id.

Example: 23498
phone_numberstringOptional
invite_codestringOptional

Invite code trucker needs to connect to mobile app. The code is generated by Dashdoc.

app_versionnumberOptional

Ignore. Dashdoc technical data.

Example: 180
readable_app_versionstringOptional

Ignore. Dashdoc technical data.

Example: 2.7.7
platformstringOptional

Ignore. Dashdoc technical data.

Example: ios
remote_idstringOptional

The ID of the trucker in your system. It has to be unique among all your truckers.

is_rentedbooleanOptional
phone_number_personalstringOptionalExample: 0601020304
addressstringOptionalExample: A random address 4 square Dashdoc
postcodestringOptionalExample: 44000
citystringOptionalExample: Nantes
country_codestringOptional

Only the 2-character codification is accepted (ISO 3166-1 alpha-2)

Example: FR
driving_license_numberstringOptionalExample: 99 999 999
driving_license_deadlinestring · date-timeOptionalExample: 2020-12-22T15:31:39.26167Z
adr_license_deadlinestring · date-timeOptionalExample: 2020-12-22T15:31:39.26167Z
carrist_license_deadlinestring · date-timeOptionalExample: 2020-12-22T15:31:39.26167Z
occupational_health_visit_deadlinestring · date-timeOptionalExample: 2020-12-22T15:31:39.26167Z
new_app_update_availablebooleanOptional

Ignore. Dashdoc technical data.

eventsobject[]Optional

Ignore. Dashdoc technical data.

patch/manager-truckers/{pk}/
PATCH /api/v4/manager-truckers/{pk}/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 196

{
  "user": {
    "email": "adele.bouvet@gmail.com",
    "first_name": "Adèle",
    "last_name": "Bouvet"
  },
  "phone_number": "text",
  "remote_id": "text",
  "tags": [
    {
      "pk": 1,
      "name": "Urgent",
      "color": "#E5291D",
      "tag_group_id": 1
    }
  ]
}
200

Update successful

{
  "pk": 23498,
  "user": {
    "pk": 17293,
    "username": "1b3b4c74-5f07-4f09-b18f-2753ffcf916e",
    "display_name": "Adèle Bouvet",
    "email": "adele.bouvet@gmail.com",
    "date_joined": "2026-01-01T00:00:00.000Z",
    "last_login": "2026-01-01T00:00:00.000Z",
    "has_usable_password": true,
    "first_name": "Adèle",
    "last_name": "Bouvet"
  },
  "phone_number": "text",
  "invite_code": "text",
  "app_version": 180,
  "readable_app_version": "2.7.7",
  "platform": "ios",
  "remote_id": "text",
  "carrier": {
    "pk": 928,
    "remote_id": "text",
    "created": "2020-07-30T21:10:06.445510Z",
    "updated": "2020-07-30T21:10:06.44551Z",
    "deleted": true,
    "invoicing_remote_id": "COMP_456",
    "name": "Transport Bouvet",
    "phone_number": "0601020304",
    "email": "i.love.dashdoc@gmail.com",
    "siren": "123456789",
    "trade_number": "text",
    "country": "FR",
    "comments": "text",
    "vat_number": "text",
    "is_verified": true,
    "settings_transport_order_observations": "text",
    "settings_constrain_reference_edition": true,
    "account_type": "text",
    "logo": "text",
    "subscription_access": {},
    "settings": {},
    "primary_address": {
      "pk": 23498,
      "name": "Transport Bouvet",
      "address": "3 rue des champs",
      "city": "Nantes",
      "postcode": "44000",
      "country": "FR",
      "latitude": -52.5561625,
      "longitude": 92.896504,
      "radius": 500,
      "coords_validated": false,
      "is_demo": true,
      "is_carrier": true,
      "is_shipper": true,
      "is_origin": true,
      "is_destination": true,
      "created_by": {
        "pk": 25,
        "name": "Transport Bouvet"
      },
      "created_by_user": {
        "pk": 34,
        "display_name": "Jean Pierre Bouvet",
        "company": 25,
        "trucker_id": 95
      },
      "created": "2020-12-22T15:31:39.26167Z",
      "remote_id": "text"
    },
    "managers": [
      {
        "pk": 928,
        "user": {
          "email": "adele.bouvet@gmail.com",
          "first_name": "Adèle",
          "last_name": "Bouvet"
        },
        "display_name": "text",
        "role": "text"
      }
    ],
    "has_loggable_managers": true
  },
  "is_rented": true,
  "phone_number_personal": "0601020304",
  "address": "A random address 4 square Dashdoc",
  "postcode": "44000",
  "city": "Nantes",
  "country_code": "FR",
  "driving_license_number": "99 999 999",
  "driving_license_deadline": "2020-12-22T15:31:39.26167Z",
  "adr_license_deadline": "2020-12-22T15:31:39.26167Z",
  "carrist_license_deadline": "2020-12-22T15:31:39.26167Z",
  "occupational_health_visit_deadline": "2020-12-22T15:31:39.26167Z",
  "new_app_update_available": true,
  "unavailability": [
    {
      "id": 928,
      "remote_id": "tr123type1",
      "created": "2020-07-30T21:10:06.44551Z",
      "start_date": "2020-07-30T21:10:06.44551Z",
      "end_date": "2020-07-30T21:10:06.44551Z",
      "unavailability_type": "paid_vacation",
      "unavailability_note": "I'm on vacation"
    }
  ],
  "events": [
    {}
  ],
  "tags": [
    {
      "pk": 1,
      "name": "Urgent",
      "color": "#E5291D",
      "tag_group_id": 1
    }
  ]
}

Last updated

Was this helpful?